Bug 54230

Summary: g++.dg/debug/dwarf2/pubnames-2.C failures on darwin12
Product: gcc Reporter: Jack Howarth <howarth.at.gcc>
Component: debugAssignee: Not yet assigned to anyone <unassigned>
Status: RESOLVED FIXED    
Severity: normal CC: iains, jason, mikestump
Priority: P3    
Version: 4.8.0   
Target Milestone: ---   
Host: x86_64-apple-darwin* Target: x86_64-apple-darwin*
Build: x86_64-apple-darwin* Known to work:
Known to fail: Last reconfirmed: 2012-08-20 00:00:00
Attachments: assembly from failing m32 test of g++.dg/debug/dwarf2/pubnames-2.C on darwin12

Description Jack Howarth 2012-08-11 19:07:02 UTC
Created attachment 27991 [details]
assembly from failing m32 test of g++.dg/debug/dwarf2/pubnames-2.C on darwin12

The new g++.dg/debug/dwarf2/pubnames-2.C testcase produces the failures...

Native configuration is x86_64-apple-darwin12.0.0

		=== g++ tests ===

Schedule of variations:
    unix/-m32
    unix/-m64

Running target unix/-m32
Using /sw/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /sw/share/dejagnu/config/unix.exp as generic interface file for target.
Using /Users/howarth/gcc-4.8-20120810/gcc/testsuite/config/default.exp as tool-and-target-specific interface file.
Running /Users/howarth/gcc-4.8-20120810/gcc/testsuite/g++.dg/debug/dwarf2/dwarf2.exp ...
FAIL: g++.dg/debug/dwarf2/pubnames-2.C scan-assembler .section\t.debug_pubnames
FAIL: g++.dg/debug/dwarf2/pubnames-2.C scan-assembler "_GLOBAL__sub_I__ZN3one3c1vE\\\\0"+[ \t]+[#;]+[ \t]+external name
FAIL: g++.dg/debug/dwarf2/pubnames-2.C scan-assembler .section\t.debug_pubtypes

		=== g++ Summary for unix/-m32 ===

# of expected passes		1250
# of unexpected failures	3
# of unsupported tests		6
Running target unix/-m64
Using /sw/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /sw/share/dejagnu/config/unix.exp as generic interface file for target.
Using /Users/howarth/gcc-4.8-20120810/gcc/testsuite/config/default.exp as tool-and-target-specific interface file.
Running /Users/howarth/gcc-4.8-20120810/gcc/testsuite/g++.dg/debug/dwarf2/dwarf2.exp ...
FAIL: g++.dg/debug/dwarf2/pubnames-2.C scan-assembler .section\t.debug_pubnames
FAIL: g++.dg/debug/dwarf2/pubnames-2.C scan-assembler "_GLOBAL__sub_I__ZN3one3c1vE\\\\0"+[ \t]+[#;]+[ \t]+external name
FAIL: g++.dg/debug/dwarf2/pubnames-2.C scan-assembler .section\t.debug_pubtypes

		=== g++ Summary for unix/-m64 ===

# of expected passes		1250
# of unexpected failures	3
# of unsupported tests		6

		=== g++ Summary ===

# of expected passes		2500
# of unexpected failures	6
# of unsupported tests		12
/Users/howarth/work/gcc/testsuite/g++/../../g++  version 4.8.0 20120709 (experimental) (GCC) 

at both r189392 when the testcase was introduced as well as in current gcc trunk.
Comment 1 Dominique d'Humieres 2012-08-20 12:36:58 UTC
Confirmrd, see http://gcc.gnu.org/ml/gcc-patches/2012-07/msg00386.html
Comment 2 Jack Howarth 2012-12-09 14:36:03 UTC
This was fixed at...

Author: sterling
Date: Tue Aug 14 15:11:02 2012
New Revision: 190388

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=190388
Log:
2012-08-13  Sterling Augustine  <saugustine@google.com>

	* g++.dg/debug/dwarf2/pubnames-2.C: Adjust.